Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand Class Reference

Console Command which deletes a given Translation from all the Versions of a given Content Item. More...

Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand:

## Public Member Functions
| __construct (Repository $repository)

## Protected Member Functions
| configure ()
| {} More...
| initialize (InputInterface $input, OutputInterface $output)
| execute (InputInterface $input, OutputInterface $output)
| {} More...

## Private Member Functions
| promptUserForMainLanguageChange (ContentInfo $contentInfo, $languageCode, array $lastVersionLanguageCodes)
| Interact with user to update main Language of a Content Object. More...

## Private Attributes
| $repository
| $contentService
| $input
| $output
| $questionHelper

## Detailed Description

Console Command which deletes a given Translation from all the Versions of a given Content Item.

Definition at line 24 of file DeleteContentTranslationCommand.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::__construct | ( | Repository | $repository | ) |

Definition at line 41 of file DeleteContentTranslationCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\$repository.

## Member Function Documentation

## ◆ configure()

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::configure | ( |  | ) |
| protected

{}

Definition at line 50 of file DeleteContentTranslationCommand.php.

## ◆ execute()

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::execute | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

{}

Definition at line 86 of file DeleteContentTranslationCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\$input, eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\$output, and eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\promptUserForMainLanguageChange().

## ◆ initialize()

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::initialize | ( | InputInterface | $input,
|  | OutputInterface | $output
| ) |  |
| protected

Definition at line 70 of file DeleteContentTranslationCommand.php.

References eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\$input, and eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\$output.

## ◆ promptUserForMainLanguageChange()

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::promptUserForMainLanguageChange | ( | ContentInfo | $contentInfo,
|  |  | $languageCode,
|  | array | $lastVersionLanguageCodes
| ) |  |
| private

Interact with user to update main Language of a Content Object.

Parameters

  \eZ\Publish\API\Repository\Values\Content\ContentInfo | $contentInfo |
  string | $languageCode | language code of the Translation to be deleted
  string[] | $lastVersionLanguageCodes | all Translations last Version has.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Definition at line 154 of file DeleteContentTranslationCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\execute().

## Member Data Documentation

## ◆ $contentService

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::$contentService
| private

Definition at line 30 of file DeleteContentTranslationCommand.php.

## ◆ $input

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::$input
| private

Definition at line 33 of file DeleteContentTranslationCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\execute(), and eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\initialize().

## ◆ $output

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::$output
| private

Definition at line 36 of file DeleteContentTranslationCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\execute(), and eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\initialize().

## ◆ $questionHelper

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::$questionHelper
| private

Definition at line 39 of file DeleteContentTranslationCommand.php.

## ◆ $repository

eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand::$repository
| private

Definition at line 27 of file DeleteContentTranslationCommand.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Command\DeleteContentTranslationCommand\__construct().

The documentation for this class was generated from the following file:

- DeleteContentTranslationCommand.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.